
Redmine - Defect #12443

Upgrade to 2.1.4: undefined method 'notes'

2012-11-26 09:19 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.4

Description

After upgrading to 2.1.4 i get the following error in my production.log when viewing a specific error:

ActionView::Template::Error (undefined method `notes' for #<Issue:0xb4a069b4>):

27:     <% end %>

28:

29:     <fieldset><legend><%= l(:field_notes) %></legend>

30:     <%= f.text_area :notes, :cols => 60, :rows => 10, :class => 'wiki-edit', :no_label => true %>

31:     <%= wikitoolbar_for 'issue_notes' %>

32:

33:     <% if @issue.safe_attribute? 'private_notes' %>

lib/redmine/views/labelled_form_builder.rb:31:in `text_area'

app/views/issues/_edit.html.erb:30:in `_app_views_issues__edit_html_erb___353321586__630661328'

app/helpers/application_helper.rb:977:in `labelled_form_for'

app/views/issues/_edit.html.erb:1:in `_app_views_issues__edit_html_erb___353321586__630661328'

app/views/issues/show.html.erb:136:in `_app_views_issues_show_html_erb__218590716__630431368'

app/controllers/issues_controller.rb:117

app/controllers/issues_controller.rb:114:in `show'

History

#1 - 2012-11-27 19:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Issue#notes is defined in 2.1. Make sure that you don't have local changes, that you have properly updated your code base and restarted your

application.

#2 - 2012-11-29 16:24 - Terence Mill

I have the same error and we have an empty plugins folder, running redmine 2.1.4 from https://github.com/edavis10/redmine/commits/2.1-stable (

r18075]

Jean Lacoste Can you please point out the file (line) where we shall compare/search for a diff.

tx a lot.

#3 - 2012-11-29 18:27 - Terence Mill

Ok, i found the cause.

The idl github repo i used is corrupt/out of date. There are differences between

https://github.com/redmine/redmine and https://github.com/edavis10/redmine.git (i used)

Shall have read the download instrcution first, but my connection is from old (pre chili) days. Missed that. Sorry.
